// CSE 142, Autumn 2006
// Homework 8 (Critter Safari)
// Authors: Marty Stepp, Stuart Reges
//
// A set of methods for querying the state of the critter simulation.
//
public interface CritterInfo {
    // Returns the heigth of the world.
    public int getHeight();
    
    // Takes a direction as a parameter (one of the constants NORTH,
    // SOUTH, EAST, WEST or CENTER from the Critter interface).  It
    // returns the display character for the critter that is one unit away
    // in that direction (or "." if the square is empty).  
    // If multiple critters occupy this space, returns a randomly chosen
    // one of them.
    public String getNeighbor(int direction);
    
    // Returns the width of the world.
    public int getWidth();
    
    // Returns a critter's current x-coordinate in the world.
    public int getX();

    // Returns a critter's current y-coordinate in the world.
    public int getY();
}
